API Reference
Engage Contact
Creates or updates a contact and initiates a message to engage them. The message is queued for asynchronous delivery via the Bot Engine.
Authorization
basic AuthorizationBasic <token>
Basic Authorization header
In: header
Request Body
application/json
The contact request containing customer information and the message to send for engagement.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://api.dealerai.com/api/v1/ailm/engage" \ -H "Content-Type: application/json" \ -d '{}'Empty
{
"message": "string",
"details": null
}{
"message": "string",
"details": null
}Add or Update Contact
Creates a new contact or updates an existing one based on email or phone. This operation does not send any messages to the contact.
Process ADF Lead
Parses an ADF (Auto/Lead Data Format) XML document, extracts customer information, creates or updates the contact, and initiates outbound engagement. The message is queued for asynchronous delivery.